package com.care.bigscreen.schedule;





import com.care.bigscreen.service.BigScreenService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;



/** 大屏统计调度
 * @author 许明
 * @version 2.7.0.0 创建于 2018/7/16
 **/
@Configuration
@EnableScheduling
public class BigScreenSchedule {

    @Autowired
    private BigScreenService bigScreenService;


    /**
     * 10 分钟调用一次
     */
    @Scheduled(cron = "* 0/10 * * * ?")
    public void exeStatistics() {
        bigScreenService.exeStatistics();
    }

}
