package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 服务站大屏事件总计响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "服务站大屏事件总计响应类", description = "服务站大屏事件总计响应类")
public class BigScreenEventTotalVO {

    @ApiModelProperty(value = "实时事件数")
    private Long rtEventAmount;

    @ApiModelProperty(value = "已完成事件数")
    private Long hisEventAmount;

}
