package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 大屏机构响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "大屏机构响应类", description = "大屏机构响应类")
public class BigScreenOrgVO {


    @ApiModelProperty(value = "服务站总数")
    private Long stationAmount;

    @ApiModelProperty(value = "坐席总人数")
    private Long seatsAmount;

    @ApiModelProperty(value = "坐席总在线时长(小时)")
    private BigDecimal seatsOnlineDuration;

    @ApiModelProperty(value = "坐席当前在线人数")
    private Long seatsCurrOnlineAmount;

    @ApiModelProperty(value = "坐席累计接打分钟数")
    private BigDecimal seatsCallMinAmount;
}
