package com.care.bigscreen.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人紧急联系人(BigSreenOlderContactVO)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:19
 */

@Data
@ApiModel(value = "被监护人紧急联系人", description = "")
public class BigSreenOlderContactVO {

    @ApiModelProperty("ID")
    private Long contactId;

    @ApiModelProperty("姓名")
    private String contactName;


    @ApiModelProperty("电话")
    private String contactPhone;


    @ApiModelProperty("关系类别：1:亲属  2：邻居")
    private String relationType;



}