package com.care.client.vo;

import com.care.common.vo.order.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: stw
 * @Date: 2021/9/8
 * @Desc:
 */
@Data
@ApiModel(description = "事件工单详情")
public class EventDetailVO {

    @ApiModelProperty("基本信息")
    private EventOrderVO eventOrderVO;

    @ApiModelProperty("主管家和改派管家列表")
    private List<ChamberlainVO>  chambList;

    @ApiModelProperty("老人列表")
    private List<OrderOlderVO>  olderList;

    @ApiModelProperty("紧急联系人列表")
    private List<OrderContactorVO> contactList;

    @ApiModelProperty("历史处理记录")
    private List<OrderHandleHisVO> orderHandleHisVOList;
}
