package com.care.common.cache;

import lombok.Data;

/**
 * 描述：
 *
 * @autho：java
 * @create 2021/5/25 0:55
 **/
@Data
public class RedisKeyConstant {

    // 微信access_token 2h
    public static final String WX_ACCESS_TOKEN = "WX:PINANBAO:TOKEN";
    public static final int WX_ACCESS_TOKEN_TIME = (3600 - 2) * 2;

    // 频安保用户登录信息 2days
    public static final String PINANBAO_LOGIN_INFO = "PINANBAO:LOGIN";
    public static final int PINANBAO_LOGIN_INFO_TIME = 3600 * 24 * 7;

    // 后台登录信息 6 小时
    public static final String BACK_LOGIN_INFO = "BACK:LOGIN";
    public static final int BACK_LOGIN_INFO_TIME = 3600 * 24;

    // 后台登录信息 6 小时
    public static final String SEAT_LOGIN_INFO = "SEAT:LOGIN";
    public static final int SEAT_LOGIN_INFO_TIME = 3600 * 2;

    // 绑定手机号短信验证码 5min
    public static final String V_CODE_BIND_MSG = "V_CODE:MSG";
    public static final int V_CODE_BIND_MSG_TIME = 60 * 5;

    //工单处理，同一工单仅1个人处理
    public static final String DO_ORDER = "SEAT_DO_ORDER:LOCK";

    //生成工单，同一设备同时只能生成一个工单
    public static final String CREATE_ORDER = "CREATE_ORDER:LOCK";

    //设备监测信息
    public static final String DEVICE_MONITOR = "DEVICE:MONITOR";
    public static final int DEVICE_MONITOR_TIME = 60;

    //频安守护 小程序用户 登陆信息 7days
    public static final String PINANSHOUHU_LOGIN_INFO = "PINANSHOUHU:LOGIN";
    public static final int PINANSHOUHU_LOGIN_INFO_TIME = 3600 * 24 * 7;

    // 微信access_token 2h
    public static final String WX_PINANSHOUHU_ACCESS_TOKEN = "WX:PINANSHOUHU:TOKEN";
    public static final int WX_PINANSHOUHU_ACCESS_TOKEN_TIME = (3600 - 2) * 2;

    public static final String KEY_APPLY_LOCAK = "KEY_APPLY:LOCK";

    public static final String SWITCH_SMS = "SWITCH:SMS";

    // 频安保用户微信登录信息 2h
    public static final String PINANBAO_WX_LOGIN_INFO = "PINANBAO:WXLOGIN";
    public static final int PINANBAO_WX_LOGIN_INFO_TIME = 3600 * 2;

    // 频安管家微信登录信息 2h
    public static final String PINANSHOUHU_WX_LOGIN_INFO = "PINANSHOUHU:WXLOGIN";
    public static final int PINANSHOUHU_WX_LOGIN_INFO_TIME = 3600 * 2;

    //设备Mqtt心跳信息 5m
    public static final String MQTT_DEV_HEARBEAT_INFO = "MQTT:HEARBEAT";
    public static final int MQTT_DEV_HEARBEAT_INFO_TIME = 60 * 5;
}
