package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件工单-钥匙申请记录(CareEventOrderKeyApply)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:42:23
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_key_apply")
@ApiModel(value = "事件工单-钥匙申请记录", description = "")
public class CareEventOrderKeyApply implements Serializable {
    private static final long serialVersionUID = 149387485962236465L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;


    @ApiModelProperty("申请人角色 chanmb管家 contact紧联系人")
    @TableField("APPLY_ROLE")
    private String applyRole;


    @ApiModelProperty("申请人ID")
    @TableField("APPLY_USER_ID")
    private Long applyUserId;


    @ApiModelProperty("联系人姓名")
    @TableField("APPLY_USER_NAME")
    private String applyUserName;


    @ApiModelProperty("状态：0:未处理 1 已授权 2已归还")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("钥匙密码")
    @TableField("KEY_PASS")
    private String keyPass;


    @ApiModelProperty("处理结果")
    @TableField("HANDLE_RESULT")
    private String handleResult;


    @ApiModelProperty("坐席ID")
    @TableField("SEAT_ID")
    private Long seatId;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("关系类别")
    @TableField("RELATION_TYPE_DESC")
    private String relationTypeDesc;


}