package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人紧急联系人(CareHouseContact)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:54:55
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_house_contact")
@ApiModel(value = "被监护人紧急联系人", description = "")
public class CareHouseContact implements Serializable {
    private static final long serialVersionUID = -90072609726445263L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("频安宝用户ID")
    @TableField("MEMBER_ID")
    private Long memberId;

    @ApiModelProperty("姓名")
    @TableField("CONTACT_NAME")
    private String contactName;

    @ApiModelProperty("性别：M：男 W：女")
    @TableField("GENDER")
    private String gender;

    @ApiModelProperty("电话")
    @TableField("CONTACT_PHONE")
    private String contactPhone;


    @ApiModelProperty("关系类别：kinsman亲属  neighbor：邻居")
    @TableField("RELATION_TYPE")
    private String relationType;


    @ApiModelProperty("联系级别")
    @TableField("CONTACT_LEVEL")
    private Integer contactLevel;


    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;

    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}