package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 传感器信息(RoomSensorVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-08-28 15:48:28
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_room_sensor")
@ApiModel(value = "传感器信息", description = "")
public class CareRoomSensor implements Serializable {
    private static final long serialVersionUID = 254667154285796129L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("房间ID")
    @TableField("ROOM_ID")
    private String roomId;


    @ApiModelProperty("x(m)")
    @TableField("X")
    private Double x;


    @ApiModelProperty("y(m)")
    @TableField("Y")
    private Double y;


    @ApiModelProperty("z(m)")
    @TableField("Z")
    private Double z;


    @ApiModelProperty("mqtt返回配置结果")
    @TableField("ACK")
    private String ack;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
