package com.care.common.enums;


/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum CallResultEnum {
    /**
     *
     */
    WEI_JIE_TONG(2,"未接通"),
    WU_FA_GAN_WANG(4,"无法赶往"),
    YI_GAN_WANG(5,"已赶往"),
    YI_DAO_DA(6,"已到达");
    private Integer value;
    private String name;
    CallResultEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }
    public Integer getValue() {
        return value;
    }
    public String getName() {
        return name;
    }
    public static String getCodeToName(Integer code){
        if (code == null){
            return null;
        }
         if (WEI_JIE_TONG.getValue().intValue() == code.intValue()){
            return  WEI_JIE_TONG.name;
        }else if (WU_FA_GAN_WANG.getValue().intValue() == code.intValue()){
            return WU_FA_GAN_WANG.name;
        }else if (YI_GAN_WANG.getValue().intValue() == code.intValue()){
            return YI_GAN_WANG.name;
        }else if (YI_DAO_DA.getValue().intValue() == code.intValue()){
            return YI_DAO_DA.name;
        }

        return null;
    }
}
