package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum ChambSubStatusEnum {

    /**
     *
     */
    FREE("1","空闲"),
    HOLIDAY("2","休假"),
    BUSY("3","忙碌"),
    DOING("4","处理中");
    private String value;
    private String name;
    ChambSubStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (FREE.getValue().equals(code)){
            return  FREE.name;
        }else if (HOLIDAY.getValue().equals(code)){
            return HOLIDAY.name;
        } else if (BUSY.getValue().equals(code)){
            return BUSY.name;
        } else if (DOING.getValue().equals(code)){
            return DOING.name;
        }

        return null;
    }
}
