package com.care.common.enums;


/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum ContactorStatusEnum {
    /**
     *
     */
    WEI_LIAN_XI(1,"未联系"),
    WEI_JIE_TONG(2,"未接通"),
    YI_LIAN_XI(3,"已联系"),
    WU_FA_GAN_WANG(4,"无法赶往"),
    YI_GAN_WANG(5,"已赶往"),
    YI_DAO_DA(6,"已到达"),
    SHEN_QING_YAO_SHI(7,"申请钥匙"),
    YI_HUO_QU_YAOS_HI(8,"已获取钥匙"),
    GUI_HUAN_YAOS_HI(9,"归还钥匙");
    private Integer value;
    private String name;
    ContactorStatusEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }
    public Integer getValue() {
        return value;
    }

    public static String getCodeToName(Integer code){
        if (code == null){
            return null;
        }
        if (WEI_LIAN_XI.getValue().intValue() == code.intValue()){
            return  WEI_LIAN_XI.name;
        }else if (WEI_JIE_TONG.getValue().intValue() == code.intValue()){
            return  WEI_JIE_TONG.name;
        }else if (YI_LIAN_XI.getValue().intValue() == code.intValue()){
            return  YI_LIAN_XI.name;
        }else if (WU_FA_GAN_WANG.getValue().intValue() == code.intValue()){
            return WU_FA_GAN_WANG.name;
        }else if (YI_GAN_WANG.getValue().intValue() == code.intValue()){
            return YI_GAN_WANG.name;
        }else if (YI_DAO_DA.getValue().intValue() == code.intValue()){
            return YI_DAO_DA.name;
        }else if (SHEN_QING_YAO_SHI.getValue().intValue() == code.intValue()){
            return SHEN_QING_YAO_SHI.name;
        }else if (YI_HUO_QU_YAOS_HI.getValue().intValue() == code.intValue()){
            return YI_HUO_QU_YAOS_HI.name;
        }else if (GUI_HUAN_YAOS_HI.getValue().intValue() == code.intValue()){
            return GUI_HUAN_YAOS_HI.name;
        }

        return null;
    }
}
