package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum InstallDevStatusEnum {

    /**
     *
     */
    DOING("0","处理中"),
    SUCCESS("1","成功"),
    FAIL("2","失败"),
    TIMEOUT("3","超时");
    private String value;
    private String name;
    InstallDevStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (DOING.getValue().equals(code)){
            return  DOING.name;
        }else if (SUCCESS.getValue().equals(code)){
            return SUCCESS.name;
        }else if (FAIL.getValue().equals(code)){
            return FAIL.name;
        }else if (TIMEOUT.getValue().equals(code)){
            return TIMEOUT.name;
        }

        return null;
    }
}
