package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum KeyAuthEnum {
    /**
     * 钥匙授权
     */
    TODO("0","申请授权"),
    AUTHED("1","已授权"),
    RETURN("2","归还钥匙");
    private String value;
    private String name;
    KeyAuthEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (TODO.getValue().equals(code)){
            return  TODO.name;
        }else if (AUTHED.getValue().equals(code)){
            return  AUTHED.name;
        }else if (RETURN.getValue().equals(code)){
            return  RETURN.name;
        }

        return null;
    }
}
