package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum MqttMsgStatusEnum {
    /**
     *
     */
    NO_HANDLE("0","未处理"),
    CANCEL("1","已取消"),
    HANDLED("2","已处理");
    private String value;
    private String name;
    MqttMsgStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }
    public String getName() {
        return name;
    }
    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (NO_HANDLE.getValue().equals(code)){
            return  NO_HANDLE.name;
        }else if (CANCEL.getValue().equals(code)){
            return  CANCEL.name;
        }else if (HANDLED.getValue().equals(code)){
            return  HANDLED.name;
        }

        return null;
    }
}
