package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OlderLiveTypeEnum {
    /**
     * 居住类别
     */
    ONESELF("1","独居"),
    NOONESELF("2","非独居"),
    CONCENTRATE("3","集中居住"),
    OTHER("4","其他");
    private String value;
    private String name;
    OlderLiveTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (ONESELF.getValue().equals(code)){
            return  ONESELF.name;
        }else if (NOONESELF.getValue().equals(code)){
            return  NOONESELF.name;
        }else if (CONCENTRATE.getValue().equals(code)){
            return  CONCENTRATE.name;
        }else if (OTHER.getValue().equals(code)){
            return  OTHER.name;
        }

        return null;
    }
}
