package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OlderStatusEnum {
    /**
     *
     */
    ZHENG_CHANG("10","正常"),
    LI_KAI_FANG_JIAN("11","离开房间"),
    JIU_ZHI("21","久滞"),
    DIE_DAO("22",""),
    ZHUI_CHUANG("23","坠床"),
    ZHU_DONG_HU_JIAO("31","主动呼叫"),
    HU_WAI_HU_JIAO("32","户外呼叫");
    private String value;
    private String name;
    OlderStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (ZHENG_CHANG.getValue().equals(code)){
            return  ZHENG_CHANG.name;
        }else if (LI_KAI_FANG_JIAN.getValue().equals(code)){
            return  LI_KAI_FANG_JIAN.name;
        }else if (DIE_DAO.getValue().equals(code)){
            return  DIE_DAO.name;
        }else if (JIU_ZHI.getValue().equals(code)){
            return JIU_ZHI.name;
        }else if (ZHUI_CHUANG.getValue().equals(code)){
            return ZHUI_CHUANG.name;
        }else if (ZHU_DONG_HU_JIAO.getValue().equals(code)){
            return ZHU_DONG_HU_JIAO.name;
        }else if (HU_WAI_HU_JIAO.getValue().equals(code)){
            return HU_WAI_HU_JIAO.name;
        }

        return null;
    }
}
