package com.care.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CareMemberInfo;
import com.care.common.entity.CareSysUser;
import com.care.common.vo.UserLogindConvertVO;
import org.apache.ibatis.annotations.Param;

/**
 * 安全管家表(CareSysUser)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */
public interface CareSysUserService extends IService<CareSysUser> {

    CareSysUser detailByOpenid4Keeper(String openId);

    CareSysUser detailByPhone4Keeper(String phone);

    /**
     * 管家服务人数
     * @param id
     * @return
     */
    int queryOlderCountByChambId(@Param("id") Long id);
}