package com.care.common.service;


import com.care.common.enums.SmsTemplateTypeEnum;

/**
 * 编码类型表(SysDimType)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:30
 */
public interface SmsSendService  {
    /**
     * 注册手机号发送短信验证码
     * @param phone
     * @return
     */
    boolean sendSmsCode4RegisterPhone(String phone,String params);

    /**
     * 重置密码发送短信验证码
     * @param phone
     * @return
     */
    boolean sendSmsCode4ModifyPassword(String phone,String params);

    /**
     * 修改手机号发送短信验证码
     * @param phone
     * @return
     */
    boolean sendSmsCode4ModifyPhone(String phone,String params);





    /**
     * 给紧急联系人或用户发送短信
     * @param phone
     * @param params
     * @return
     */
    boolean sendSmsToLianxirenOrMember(SmsTemplateTypeEnum template , String phone, String params);
}