package com.care.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.StringUtils;

import java.util.Date;

@Getter
@Setter
public class UserLogindConvertVO {

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;
    @ApiModelProperty("机构名称")
    private String orgName;


    @ApiModelProperty("服务站ID，角色为坐席时，该字段可能未空")
    private Long stationId;
    @ApiModelProperty("机构名称")
    private String stationName;

    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("姓名：M：男 W：女")
    private String gender;


    @ApiModelProperty("状态：1正常；2：休假")
    private String status;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("1:坐席 2:管家")
    private String role;

    @ApiModelProperty("logo")
    private String logo;

    @ApiModelProperty("系统名称")
    private String systemName;
}
