package com.care.common.vo.memberinfo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户登录信息(CareMemberInfo)实体类
 *
 * @author makejava
 * @since 2021-06-10 01:07:14
 */

@Data
public class MemberInfoVO implements Serializable {
    private static final long serialVersionUID = 806178869535928669L;

    private Long id;


    @ApiModelProperty("openId")
    private String openId;


    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("昵称")
    private String nickname;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("密码")
    private String password;


    @ApiModelProperty("头像")
    private String profile;


    @ApiModelProperty("邮箱")
    private String email;


    @ApiModelProperty("性别")
    private String gender;


    @ApiModelProperty("分享码")
    private String shareCode;


    @ApiModelProperty("状态：0可用，1禁用")
    private String status;

    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;


    @ApiModelProperty("生日")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date birthday;

    @ApiModelProperty("地址")
    private String addr;

    @ApiModelProperty("绑定设备数量")
    private Integer devCount;
}