package com.care.common.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: lilt
 * @Date: 2021/5/30
 * @Desc: 管家
 */
@Data
@ApiModel(value = "管家信息", description = "")
public class ChamberlainVO {

    private Long id;

    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("状态：1空闲；2：休假；3忙碌")
    private String status;

    @ApiModelProperty("状态描述")
    private String statusDesc;

    @ApiModelProperty("子状态：1空闲；2：休假；3忙碌; 4处理中")
    private String subStatus;

    @ApiModelProperty("子状态描述")
    private String subStatusDesc;

    @ApiModelProperty("主管家：T 是，F 不是")
    private String isMain;
}
