package com.care.installation.vo;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 传感器信息(RoomSensorVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-08-28 15:48:28
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_room_sensor")
@ApiModel(value = "传感器信息", description = "")
public class RoomSensorVO implements Serializable {
    private static final long serialVersionUID = 254667154285796129L;

    private Long id;


    @ApiModelProperty("房间ID")
    private String roomId;


    @ApiModelProperty("x(m)")
    private Double x;


    @ApiModelProperty("y(m)")
    private Double y;


    @ApiModelProperty("z(m)")
    private Double z;

    @ApiModelProperty("mqtt返回配置结果")
    private String ack;

    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
