package com.care.keeper.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(description = "登录参数")
@Data
public class KeeperInitParams implements Serializable {

    private static final long serialVersionUID = 2825354998621065333L;
    @ApiModelProperty(name = "code", value = "授权码")
    private String code;
    @ApiModelProperty(name = "openid", value = "平台标识")
    private String openid;
    @ApiModelProperty(name = "sessionKey", value = "session_key")
    private String sessionKey;

    @ApiModelProperty(name = "nickname", value = "昵称")
    private String nickname;

    @ApiModelProperty(name = "profile", value = "头像")
    private String profile;

    @ApiModelProperty(name = "phone", value = "手机号码")
    private String phone;

    @ApiModelProperty(name = "password", value = "密码")
    private String password;

    @ApiModelProperty(name = "passwordAgain", value = "密码确认")
    private String passwordAgain;


    @ApiModelProperty(name = "vcode", value = "验证码")
    private String vcode;
    @ApiModelProperty(name = "loginType", value = "登录方式,微信：wx，密码：pwd")
    private String loginType;
}
