package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 大屏设备响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "大屏设备响应类", description = "大屏设备响应类")
public class BigScreenDeviceVO {


    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "状态：1在线；2：离线")
    private Integer status;

    @ApiModelProperty(value = "地址")
    private String deviceAddr;
}
