package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 站点大屏安全事件响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "站点大屏安全事件响应类", description = "站点大屏安全事件响应类")
public class BigScreenEventVO {


    @ApiModelProperty("安全事件名称")
    private String title;

    @ApiModelProperty("时间")
    private String createTime;

    @ApiModelProperty("处理状态")
    private String status;

    @ApiModelProperty("事件类型")
    private String eventType;
}
