package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 大屏统计响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "站点大屏统计响应类", description = "站点大屏统计响应类")
public class StationBigScreenStatisticsVO {
    @ApiModelProperty(value = "站点ID")
    private Long stationId;

    @ApiModelProperty(value = "服务站名称")
    private String stationName;

    @ApiModelProperty(value = "用户数")
    private Long olderAmount;

    @ApiModelProperty(value = "安全管家总人数")
    private Long chamberlainAmount;

    @ApiModelProperty(value = "累计服务人次")
    private Long serveAmount;

    @ApiModelProperty(value = "今天服务人次")
    private Long serveTodayAmount;

    @ApiModelProperty(value = "坐席总人数")
    private Long seatsAmount;

    @ApiModelProperty(value = "坐席当前在线人数")
    private Long seatsCurrOnlineAmount;

    @ApiModelProperty(value = "坐席累计接打分钟数")
    private BigDecimal seatsCallMinAmount;


}
