package com.care.client.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户登录信息(CareMemberInfo)实体类
 *
 * @author makejava
 * @since 2021-06-07 00:18:53
 */
@ApiModel(description = "登陆人信息")
@Data
public class MemberInfoVO implements Serializable {
    private static final long serialVersionUID = 676002338375207640L;

    private Long id;


    @ApiModelProperty("openId")
    private String openId;


    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("昵称")
    private String nickname;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("头像")
    private String profile;


    @ApiModelProperty("邮箱")
    private String email;


    @ApiModelProperty("性别")
    private String gender;


    @ApiModelProperty("分享码")
    private String shareCode;


    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("地址")
    private String addr;
}