package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件-紧急联系人/管家状态(CareEventOrderContactStatus)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:42:11
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_contact_status")
@ApiModel(value = "事件-紧急联系人/管家状态", description = "")
public class CareEventOrderContactStatus implements Serializable {
    private static final long serialVersionUID = 974899034224026188L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;


    @ApiModelProperty("联系角色 chanmb管家 contact紧联系人 older 老人")
    @TableField("CONTACT_ROLE")
    private String contactRole;


    @ApiModelProperty("联系人ID")
    @TableField("CONTACT_ID")
    private Long contactId;


    @ApiModelProperty("状态：1未联系,2未接通,3已联系 4无法赶往 5:已赶往 6:已到达 7申请钥匙 8已获取钥匙")
    @TableField("STATUS")
    private Integer status;


    @ApiModelProperty("联系人姓名")
    @TableField("CONTACT_NAME")
    private String contactName;


    @ApiModelProperty("联系电话")
    @TableField("CONTACT_PHONE")
    private String contactPhone;


    @ApiModelProperty("坐席ID")
    @TableField("SEAT_ID")
    private Long seatId;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("关系类别")
    @TableField("RELATION_TYPE_DESC")
    private String relationTypeDesc;


    @ApiModelProperty("联系级别")
    @TableField("CONTACT_LEVEL")
    private Integer contactLevel;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


}