package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人表(CareEventOrderOlder)实体类
 *
 * @author makejava
 * @since 2021-06-02 23:22:53
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_older")
@ApiModel(value = "被监护人表", description = "")
public class CareEventOrderOlder implements Serializable {
    private static final long serialVersionUID = 142962079101236959L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;

    @ApiModelProperty("老人ID")
    @TableField("OLDER_ID")
    private Long olderId;


    @ApiModelProperty("姓名")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("姓名：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("生日")
    @TableField("BIRTHDAY")
    private Date birthday;


    @ApiModelProperty("居住类别：1：独居 2：非独居 3：集中居住 4：其他")
    @TableField("LIVE_TYPE")
    private String liveType;


    @ApiModelProperty("床号或者门牌号")
    @TableField("BED_NUMBER")
    private String bedNumber;


    @ApiModelProperty("安全级别： 1 ：一级 2：二级 3: 三级")
    @TableField("SAFE_LEVEL")
    private String safeLevel;


    @ApiModelProperty("状态： 0：未联系  1已联系")
    @TableField("STATUS")
    private Integer status;


    @ApiModelProperty("是否主动呼叫  1是 0否")
    @TableField("IS_ZHUDONG")
    private Integer isZhudong;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}