package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 房屋-联系人关系表(CareHouseContactRel)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:54:55
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_house_contact_rel")
@ApiModel(value = "房屋-联系人关系表", description = "")
public class CareHouseContactRel implements Serializable {
    private static final long serialVersionUID = -90072609726445263L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("联系人ID")
    @TableField("CONTACT_ID")
    private Long contactId;


}