package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 区域信息(RoomRegionVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-08-28 15:48:28
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_room_region")
@ApiModel(value = "区域信息", description = "")
public class CareRoomRegion implements Serializable {
    private static final long serialVersionUID = -53374646938718314L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("区域ID")
    @TableField("RID")
    private String rid;


    @ApiModelProperty("房间ID")
    @TableField("ROOM_ID")
    private String roomId;


    @ApiModelProperty("区域类型(0,1,2,3)")
    @TableField("CLS")
    private Integer cls;


    @ApiModelProperty("x轴位置(m)")
    @TableField("POSITION_X")
    private Double positionX;


    @ApiModelProperty("y轴位置(m)")
    @TableField("POSITION_Y")
    private Double positionY;


    @ApiModelProperty("x轴方向长度(m)")
    @TableField("SCALE_X")
    private Double scaleX;


    @ApiModelProperty("y轴方向长度(m)")
    @TableField("SCALE_Y")
    private Double scaleY;


    @ApiModelProperty("z轴方向长度(m)")
    @TableField("SCALE_Z")
    private Double scaleZ;


    @ApiModelProperty("旋转角度")
    @TableField("ROTATION")
    private Double rotation;

    @ApiModelProperty("mqtt返回配置结果")
    @TableField("ACK")
    private String ack;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
