package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 编码类型表(SysDimType)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:30
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_dim_type")
@ApiModel(value = "编码类型表", description = "")
public class SysDimType implements Serializable {
    private static final long serialVersionUID = -21513187308240048L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("维度类型")
    @TableField("TYPE")
    private String type;


    @ApiModelProperty("维度名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("描述信息")
    @TableField("DESC_MSG")
    private String descMsg;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("updateTime")
    @TableField("UPDATE_TIME")
    private Date updateTime;


    @ApiModelProperty("是否页面可见， 1可见；0 不可见")
    @TableField("IS_SHOW")
    private String isShow;


}