package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum DeviceActiveStatusEnum {
    /**
     * 设备激活状态
     */
    NOACTIVE("0","未激活"),
    ACTIVE("1","已激活");
    private String value;
    private String name;
    DeviceActiveStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (NOACTIVE.getValue().equals(code)){
            return  NOACTIVE.name;
        }else if (ACTIVE.getValue().equals(code)){
            return  ACTIVE.name;
        }

        return null;
    }
}
