package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum DeviceSceneEnum {
    /**
     * 设备场景
     */
    PARLOR("1","客厅"),
    TOILET("2","卫浴"),
    BEDROOM("3","卧室"),
    OTHER("4","其他");
    private String value;
    private String name;
    DeviceSceneEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (PARLOR.getValue().equals(code)){
            return  PARLOR.name;
        }else if (TOILET.getValue().equals(code)){
            return  TOILET.name;
        }else if (BEDROOM.getValue().equals(code)){
            return  BEDROOM.name;
        }else if (OTHER.getValue().equals(code)){
            return  OTHER.name;
        }

        return null;
    }
}
