package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum DeviceStatusEnum {
    /**
     * 设备运行状态
     */
    ONLINE("1","在线"),
    OFFLINE("2","离线");
    private String value;
    private String name;
    DeviceStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (ONLINE.getValue().equals(code)){
            return  ONLINE.name;
        }else if (OFFLINE.getValue().equals(code)){
            return  OFFLINE.name;
        }

        return null;
    }
}
