package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum KeyEscrowTypeEnum {
    /**
     * 钥匙托管类型
     */
    NOT("0","不托管"),
    DIANZI("1","电子"),
    JIXIE("2","机械");
    private String value;
    private String name;
    KeyEscrowTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (NOT.getValue().equals(code)){
            return  NOT.name;
        }else if (DIANZI.getValue().equals(code)){
            return  DIANZI.name;
        }else if (JIXIE.getValue().equals(code)){
            return  JIXIE.name;
        }

        return null;
    }
}
