package com.care.common.enums;


/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OrderOlderStatusEnum {
    /**
     *
     */
    WEI_LIAN_XI(0,"未联系"),
    YI_LIAN_XI(1,"已联系");
    private Integer value;
    private String name;
    OrderOlderStatusEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }
    public Integer getValue() {
        return value;
    }

    public static String getCodeToName(Integer code){
        if (code == null){
            return null;
        }
        if (WEI_LIAN_XI.getValue().intValue() == code.intValue()){
            return  WEI_LIAN_XI.name;
        }else if (YI_LIAN_XI.getValue().intValue() == code.intValue()){
            return  YI_LIAN_XI.name;
        }
        return null;
    }
}
