package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum SmsTemplateTypeEnum {

    /**
     *
     */
    DIE_DAO("DIE_DAO","跌倒"),
    JIU_ZHI("JIU_ZHI","久滞"),
    CANCEL_DIEDAO("CANCEL_DIEDAO","取消跌倒"),
    CANCEL_JIUZHI("CANCEL_JIUZHI","取消久滞"),
    ORDER_COMPLETE("ORDER_COMPLETE","工单完成");
    private String value;
    private String name;
    SmsTemplateTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (DIE_DAO.getValue().equals(code)){
            return  DIE_DAO.name;
        }else if (JIU_ZHI.getValue().equals(code)){
            return JIU_ZHI.name;
        }else if (CANCEL_DIEDAO.getValue().equals(code)){
            return CANCEL_DIEDAO.name;
        }else if (CANCEL_JIUZHI.getValue().equals(code)){
            return CANCEL_JIUZHI.name;
        }else if (ORDER_COMPLETE.getValue().equals(code)){
            return ORDER_COMPLETE.name;
        }
        return null;
    }
}
