package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum TrueFalseEnum {
    /**
     * 真假
     */
    TRUE("T","真"),
    FALSE("F","假");
    private String value;
    private String name;
    TrueFalseEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (TRUE.getValue().equals(code)){
            return  TRUE.name;
        }else if (FALSE.getValue().equals(code)){
            return  FALSE.name;
        }

        return null;
    }
}
