package com.care.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CareHouseContact;

import java.util.List;

/**
 * 被监护人紧急联系人(CareHouseContact)表服务接口
 *
 * @author makejava
 * @since 2021-06-02 21:42:59
 */
public interface CareHouseContactService extends IService<CareHouseContact> {
    /**
     * 查询房屋紧急联系人
     * @param houseId
     * @return
     */
    List<CareHouseContact> queryContactByHouseId(Long houseId);
}