package com.care.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CcCallResult;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.vo.outcall.CcCallResultVO;

/**
 * 外呼结果表(CcCallResult)表服务接口
 *
 * @author makejava
 * @since 2021-05-30 13:13:26
 */
public interface CcCallResultService extends IService<CcCallResult> {
    /**
     * 获取呼叫结果
     * @param id
     * @return
     */
    CcCallResultVO getCallResult(Long id);

    void saveCallResult(CcCallResult result, UserLogindConvertVO loginUser);
}