package com.care.common.service;

import com.care.common.entity.SysDimCode;

import java.util.List;

/**
 * @author ly
 * @version 1.0.0 创建于 2020-01-05 22:11:46 orgycat Exp.
 **/
public interface CommonService {

    /**
     * 获取KV映射
     * @param typeCode 类型CODE
     * @param typeCode 映射CODE
     * @return 映射
     * @throws Exception 异常信息
     */
    String convertedCodeName(String typeCode, String code);

    List<SysDimCode> getDimCodeListe(String typeCode);

    /**
     *  坐席在线
     * @param userId
     * @return
     */
    Boolean onLine4Seat(Long orgId,Long userId);

    /**
     * 在线坐席统计
     * @param orgId
     * @return
     */
    Long countOnlineSeat(Long orgId);
}
