package com.care.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareMemberInfo;
import com.care.common.mapper.CareMemberInfoMapper;
import com.care.common.service.CareMemberInfoService;
import org.springframework.stereotype.Service;

/**
 * 用户登录信息(CareMemberInfo)表服务实现类
 *
 * @author makejava
 * @since 2021-06-02 21:43:38
 */
@Service
public class CareMemberInfoServiceImpl extends ServiceImpl<CareMemberInfoMapper, CareMemberInfo> implements CareMemberInfoService {

    @Override
    public CareMemberInfo detailByOpenid(String openId) {
        QueryWrapper<CareMemberInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareMemberInfo::getOpenId,openId);
        return this.getOne(queryWrapper);
    }

    @Override
    public CareMemberInfo detailByPhone(String phone) {
        QueryWrapper<CareMemberInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareMemberInfo::getPhone,phone);
        return this.getOne(queryWrapper);
    }
}