package com.care.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 编码明细表(SysDimCode)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */

@Data
public class DimCodeVO implements Serializable {
    private static final long serialVersionUID = -97112002437936953L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("0:禁用  1 启用")
    private String status;


    @ApiModelProperty("纬度类型表type，sys_dim_type表中的type")
    private String typeCode;


    @ApiModelProperty("编码")
    private String dimCode;


    @ApiModelProperty("编码名称")
    private String name;


    @ApiModelProperty("排序字段")
    private Integer codeIndex;


    @ApiModelProperty("描述")
    private String descMsg;


    @ApiModelProperty("createUserId")
    private String createUserId;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("updateTime")
    private Date updateTime;


    @ApiModelProperty("操作人")
    private String updateUserId;


}