package com.care.common.vo;

import lombok.Data;

/**
 * 与页面交互的分页数据类
 * @author little
 * @since 2021-01-02
 */
@Data
public class PageResVO {
    /**
     * 当前页
     */
    private Long current = 1L;
    /**
     * 每页记录数
     */
    private Long pageSize = 10L;
    /**
     * 记录总数
     */
    private Long total;

    public PageResVO() {
    }

    public PageResVO(long current, long pageSize, long total) {
        this.current = current;
        this.pageSize = pageSize;
        this.total = total;
    }
}
