package com.care.common.vo.device;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * mqtt消息(CareMqttMsg)实体类
 *
 * @author makejava
 * @since 2021-06-02 22:00:37
 */

@Data
@ApiModel(value = "mqtt消息", description = "")
public class MqttMsgVO implements Serializable {
    private static final long serialVersionUID = -60036036914347085L;

    private Long id;


    @ApiModelProperty("mqtt消息")
    private String mqttMessage;


    @ApiModelProperty("topic")
    private String topic;

    @ApiModelProperty("消息类型：呼吸心率信息 BreathHeartRate，跌到 FallDown，久滞 StayTooLong")
    private String type;

    @ApiModelProperty("事件目标的id")
    private Integer tid;

    @ApiModelProperty("设备ID")
    private Long devId;

    @ApiModelProperty("状态：0，未处理；1，已取消；2，已处理")
    private String status;

    @ApiModelProperty("延迟时间（单位：分钟）")
    private Integer delayTime;

    @ApiModelProperty("执行时间（单位：毫秒）")
    private Long exeTime;

    @ApiModelProperty("createTime")
    private Date createTime;

    @ApiModelProperty("modifyTime")
    private Date modifyTime;
}