package com.care.common.vo.order;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护房屋信息(CareHouse)实体类
 *
 * @author makejava
 * @since 2021-06-02 22:00:37
 */

@Data
@ApiModel(value = "被监护房屋信息", description = "")
public class CareHouseVO implements Serializable {
    private static final long serialVersionUID = -60036036914347085L;

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("房屋简称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("钥匙托管类型： 1 ：电子 2：机械 0：未托管")
    private String keyEscrowType;


 //   @ApiModelProperty("状态： 1正常，2离开房间，3久滞，4摔倒，5坠床 6主动呼叫")
 //   private Integer status;


    @ApiModelProperty("地址")
    private String addr;

    @ApiModelProperty("门牌号")
    private String houseNumber;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;


//    @ApiModelProperty("管理者电话")
//    private String managePhone;
//
//
//    @ApiModelProperty("管理者姓名")
//    private String manageName;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


//    @ApiModelProperty("管家ID")
//    private Long chambId;
//
//
//    @ApiModelProperty("管家姓名")
//    private String chambName;
//
//    @ApiModelProperty("关系类别描述")
//    private String relationTypeDesc;

}