package com.care.common.vo.order;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件工单-钥匙申请记录(CareEventOrderKeyApply)实体类
 *
 * @author makejava
 * @since 2021-05-29 16:02:24
 */

@Data
@ApiModel(value = "事件工单-钥匙申请记录", description = "")
public class OrderKeyApplyVO implements Serializable {
    private static final long serialVersionUID = -45257658982462134L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("工单ID")
    private Long orderId;


    @ApiModelProperty("申请人角色 chanmb管家 contact紧联系人")
    private String applyRole;


    @ApiModelProperty("申请人ID")
    private Long applyUserId;


    @ApiModelProperty("联系人姓名")
    private String applyUserName;


    @ApiModelProperty("状态：0:未处理 1 已授权 2已归还")
    private String status;


    @ApiModelProperty("钥匙密码")
    private String keyPass;


    @ApiModelProperty("处理结果")
    private String handleResult;


    @ApiModelProperty("坐席ID")
    private Long seatId;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


    @ApiModelProperty("关系类别")
    private String relationTypeDesc;

}