package com.care.installation.vo;



import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * @Author: lilt
 * @Date: 2021/6/7
 * @Desc:
 */
@Data
public class DeviceRoomAllVO {


    @ApiModelProperty("房间信息")
    private RoomVO roomVO;

    @ApiModelProperty("传感器信息")
    private RoomSensorVO roomSensorVO;

    @ApiModelProperty("门信息")
    private List<RoomGateVO> roomGateVOList;

    @ApiModelProperty("区域信息")
    private List<RoomRegionVO> roomRegionVOList;

}
