package com.care.outcall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author stw
 * @version 2.7.0 创建于 2019/7/17
 **/
@Data
public class CallOlderVO implements Serializable {

    /**
     * 电话
     */
    private String phone;

    /**
     * 老人id
     */
    private String olderId;

    /**
     * 会话ID
     */
    private String sessionId;

    /**
     * 机构ID
     */
    private String orgId;

    /**
     * 服务站ID
     */
    private String stationId;

    @ApiModelProperty(dataType = "String", name = "calledId", value = "被呼叫人ID")
    private String calledId;

    @ApiModelProperty("房屋ID")
    private String houseId;

    @ApiModelProperty("关系类别")
    private String relationTypeDesc;

    @ApiModelProperty("联系级别")
    private  Integer contactLevel;

    @ApiModelProperty(dataType = "String", name = "calledName", value = "被呼叫人姓名")
    private String calledName;

    @ApiModelProperty(dataType = "String", name = "calledType", value = "被呼叫人类型：1、紧急联系人，2、管家，3、老人本人，4、120")
    private String calledType;

    /**
     * 事件工单ID
     */
    private String orderId;
    /**
     * 创建时间
     */
    private String createTime;



}
